Skip to main content
`Ctrl`+`K`

# DMDASNESSetObjectiveLocalVec

set a local residual evaluation function that operates on a local vector with `DMDA`

## Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetObjectiveLocalVec(DM dm, DMDASNESObjectiveVecFn *func, PetscCtx ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local objective evaluation, see `DMDASNESSetObjectiveLocalVec` for the calling sequence

- ctx - optional context for local residual evaluation

## See Also

SNES: Nonlinear Solvers, `DMDA`, `DMDASNESObjectiveVecFn`, `DMDASNESSetObjectiveLocal()`, `DMSNESSetFunction()`, `DMDASNESSetJacobianLocalVec()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMDASNESObjectiveFn`

## Level

beginner

## Location

src/snes/utils/dmdasnes.c

## Examples

src/snes/tutorials/ex55.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages